Skip to main content
GET
/
api
/
v1
/
budget
/
{budget_id}
Get Budget
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/budget/{budget_id}
{
  "id": "<string>",
  "name": "<string>",
  "budgetType": "<string>",
  "amount": 123,
  "utilizedAmount": 123,
  "code": "<string>",
  "salesOrderId": "<string>",
  "managementAccountId": "<string>",
  "periodStart": "<string>",
  "periodEnd": "<string>",
  "refreshFrequency": "<string>",
  "status": "<string>",
  "notes": "<string>",
  "createdAt": "<string>",
  "totalAmount": 123
}

Path Parameters

budget_id
string
required

Response

Successful Response

id
string
required
name
string
required
budgetType
string
required
amount
number
required
utilizedAmount
number
required
code
string | null
salesOrderId
string | null
managementAccountId
string | null
periodStart
string | null
periodEnd
string | null
refreshFrequency
string | null
status
string | null
notes
string | null
createdAt
string | null
totalAmount
number | null